Won't load in 12.04 (beta 2)

Bug #971240 reported by Bill O'Dwyer on 2012-04-02
60
This bug affects 11 people
Affects Status Importance Assigned to Milestone
gwaei (Ubuntu)
Undecided
Unassigned

Bug Description

I click the icon to load gWaei, and the window pops up, but it just remains blank for about 20 seconds before becoming inactive and greyed out, and the only thing I can do is Force Quit.
No options to download dictionaries or anything, just blank screen and crashes.

Related branches

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gwaei (Ubuntu):
status: New → Confirmed
Yvon TANGUY (vono22) wrote :

I have just compile and test the 3.2.1 version, and it works. When I do the same with 3.2.0b1, it doesn't work also.

After making a diff between the two versions, I saw that there is only one c file different, some translations update, and other autotool stuff.

If I just patch the file "src/gwaei/gwaei.c" with the modifications of the 3.2.1 version, it works:
~/tmp$ diff -r gwaei-3.2.0b1/src/gwaei/gwaei.c gwaei-3.2.1/src/gwaei/gwaei.c
54d53
< gdk_threads_init ();
58d56
< gdk_threads_enter ();
60d57
< gdk_threads_leave ();

Two solutions: upgrade this packga to v3.2.1 or add a patch to 3.2.0b1 version to fix gwaei.c.
Is it possible to do it ?

There is one problem still, no menu ! With Ubuntu 11.10 and gwaei 3.0.2, there is the menu in the unity bar, but not with the 3.2.1 version.

Zachary Dovel (zakkudo2) wrote :

Yes. Only the gwaei.c file changed between 3.2.0->3.2.1. I am not totally sure how Unity works, but the current version of gtk reparent the xml to a GwWindow type of widget that extends GtkWindow. If there is a way to possibly fix it for Unity, it will be in src/gwaei/window.c.

Zachary Dovel (zakkudo2) wrote :

After reading <http://developer.gnome.org/gtk-faq/stable/x635.html> I decided to start reparenting the widget manually. Is someone on Ubuntu could tell me if it works, I'll add it to the upstream code.

Zachary Dovel (zakkudo2) wrote :

In any case, I applied the patch to all of the current gWaei branches. You can do a git pull on the 3.2.x branch if you prefer the access it that way.

Bill O'Dwyer (bill-odwyer-uk) wrote :

Sorry, I'm a bit new to but submitting and patching and the like... Could you tell me what I'm meant to do with the patch or what a "git pull" is?

Zachary Dovel (zakkudo2) wrote :

You can apply the patch as given in the instructions on this webpage:
http://stackoverflow.com/questions/3418277/how-to-apply-git-diff-patch

or

The webpage to get the development code if you install "git":
http://sourceforge.net/projects/gwaei/develop

or

You can always just look at the patch file and apply the changes manually. They are pretty straight forward.

The attachment "reparent.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Yvon TANGUY (vono22) wrote :

@Zachary Dovel (zakkudo2) The patch didn't work for me.

Bill O'Dwyer (bill-odwyer-uk) wrote :

No joy for me either.

Yvon TANGUY (vono22) wrote :

I've have found the problem, I think (at least my patch work).
Do to the re-parenting, the menu is not really detected, I think it is done when the menu is attach to the window, but if we re-parent only the top container, the sub container menu, is not detected.

So I remove the menu from the toplevel container, add add it just after.

This patch contains also the empty window problem, and one compile warning fixed (deprecated function used).

Yvon TANGUY (vono22) wrote :

Sorry, I've gone too fast!
The menu is displayed, but some entries do not work:

ERROR:window.c:247:gw_window_load_ui_xml: assertion failed: (menu != NULL)
Abandon (core dumped)

For example: Edition->Preferences.

I start investigate why.

Yvon TANGUY (vono22) wrote :

After testing a little bit, I have this patch which fixed (from the current Ubuntu version):
- Freeze main ui window
- No menu display in the unity bar
- Fix French menu translation
- Fix statusbar too big (half of the result window)
- Fix crash when a result is not found with one dictionary, and then click on one button of proposed dictionary

Note that the .ui files use GtkVBox and GtkHBox which are deprecated, changing the one for the main ui, from GtkVBox to GtkBox with the property orientation at GTK_ORIENTATION_VERTICAL, make the statusbar display as expected.
I have not change the others boxes.

Zachary Dovel (zakkudo2) wrote :

You should switch

g_assert(menu != NULL);

to

if (menu != NULL) { }

where the {} surround the menu add/remove statements because not all windows will have a menu. g_assert is used to detect programming mistakes so it is inappropriate here.

In the vocabularywindow.ui in version 3.2.x, "menubar1" should be changed to "menubar". So you would best patch that file too.

While this is a good temporary fix, I can't add this code to upstream because it is a bit hackish. I'm going to look for a better way in 3.4.x or 3.5.x.

Yvon TANGUY (vono22) wrote :

Yes, it is fix in my new patch, this make crash gwaei anyway.
I'm sorry, but I do not know very well your code and GTK coding, so my vision of the code is very partial, just see an error and try to patch it.

I have not found the file "vocabularywindow.ui" in the project.

Dear all,

thanks for letting me know of this problem.

(but please read to the end - Ubuntu should upgrade to 3.2.0b1-2!!!)

On Mi, 25 Apr 2012, Yvon TANGUY wrote:
> I saw that your are the maintener of the gwaei package in debian and
> ubuntu.

No. I am the maintainer of gwaei in Debian. I have no upload rights
in Ubunto, and have no idea how to get something into Ubuntu.

I *ONLY* package for Debian since this is the only thing I know
and I can package for.

Ubuntu takes the packages I produce and drops them into Ubuntu, but
who and how, I don't know.

> With the version 3.2.0b1 there is a blocking bug of the application (see
> https://bugs.launchpad.net/ubuntu/+source/gwaei/+bug/971240). I've made
> a patch to fix the problems.

YOu mean the last one called "gwaei_ubuntu12.04.patch"?
Is it necessary also fro gwaei 3.2.1, or only for 3.2.0b1 ?

> I don't know if you were aware of the problem, so I subscribed you to
> the bug, and send you this message.

No, I wasn't aware.

BTW, *WHY* does Ubuntu not use the new package gwaei 3.2.0b1-2
which is in Debian testing and sid and fixes this bug already,
as far as I see???

Can you please get the Debian package -2, build it and try it out,
maybe this is already enough!

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan TeX Live & Debian Developer
DSA: 0x09C5B094 fp: 14DF 2E6C 0307 BE6D AD76 A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
RECULVER (n.)
The sort of remark only ever made during Any Questions.
   --- Douglas Adams, The Meaning of Liff

Yvon TANGUY (vono22) wrote :

Hi Norbert,
Thank you for your reply.

I saw the patch you have made, but no, it is not sufficient.

Since you have change others things too in your "fix-stupid-libgtk" patch, I merged my changes, Zachary Dovel and yours in one patch.

It's time for a gwaei 3.2.0b1-3 version !

Change since gwaei 3.2.0b1.orig:

* Freeze main ui window: fix for stupid libgtk library breaking unrelated software, needed
    otherwise gwaei will never start (see eog bug #665374 for reference)
* Fix no menu display in the unity bar
* Fix French menu translation ('& ' instead of '_' for keyboard shortcut)
* Fix statusbar too big (half of the result window)
* Fix crash when a result is not found with one dictionary, and then click on one button of proposed dictionary
* Fix compile warning, use of deprecated function

To apply this patch:
patch -p0 < debian_sid_gwaei-3.2.0b1-3.patch

Yvon TANGUY (vono22) wrote :

> No. I am the maintainer of gwaei in Debian. I have no upload rights
in Ubuntu, and have no idea how to get something into Ubuntu.

I think the response is here:
https://wiki.ubuntu.com/SyncRequestProcess
or
https://wiki.ubuntu.com/Ubuntu/ForDebianDevelopers

But it need that the Debian version is updated.

I'm sorry that I can't help you further, I do not know (and found almost too complicated), how the debian/ directory works and can be updated. For example, your patch format is not the same as mine, but I don't know how to obtain the same format as you made. It is the same for changelog, is it update by hand ?.

Sorry quick answer from the iphone

I have today uploaded 3.4.3-1 to Debian undtable, so the regular sync will pull that and close all the problems I hope.

Norbert

------------------------------------------------------------------------
Norbert Preining preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan TeX Live & Debian Developer
DSA: 0x09C5B094 fp: 14DF 2E6C 0307 BE6D AD76 A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------

On 2012/04/26, at 18:54, Yvon TANGUY <email address hidden> wrote:

> Hi Norbert,
> Thank you for your reply.
>
> I saw the patch you have made, but no, it is not sufficient.
>
> Since you have change others things too in your "fix-stupid-libgtk"
> patch, I merged my changes, Zachary Dovel and yours in one patch.
>
> It's time for a gwaei 3.2.0b1-3 version !
>
> Change since gwaei 3.2.0b1.orig:
>
> * Freeze main ui window: fix for stupid libgtk library breaking unrelated software, needed
> otherwise gwaei will never start (see eog bug #665374 for reference)
> * Fix no menu display in the unity bar
> * Fix French menu translation ('& ' instead of '_' for keyboard shortcut)
> * Fix statusbar too big (half of the result window)
> * Fix crash when a result is not found with one dictionary, and then click on one button of proposed dictionary
> * Fix compile warning, use of deprecated function
>
> To apply this patch:
> patch -p0 < debian_sid_gwaei-3.2.0b1-3.patch
>
>
> ** Patch added: "debian_sid_gwaei-3.2.0b1-3.patch"
> https://bugs.launchpad.net/ubuntu/+source/gwaei/+bug/971240/+attachment/3104590/+files/debian_sid_gwaei-3.2.0b1-3.patch
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/971240
>
> Title:
> Won't load in 12.04 (beta 2)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gwaei/+bug/971240/+subscriptions

Yvon TANGUY (vono22) wrote :

Hi Norbert (again today!)

There is only the menu problem on Ubuntu in the version 3.4.3. My fix is not pretty (see comment 14), but at least the menu is display. There is one minor problem too with the google search, when no result is found, the url don't work.
Another little problem on Ubuntu, I didn't figured out why, is that the main toolbar of the search window have his background white, and not the black of the Ubuntu GTK theme. There is no such thing with 3.2.0.

You will found my patch for 3.4.3 here.

Norbert Preining (preining) wrote :

Hi Yvon,

On Do, 26 Apr 2012, Yvon TANGUY wrote:
> I'm sorry that I can't help you further, I do not know (and found almost
> too complicated), how the debian/ directory works and can be updated.
> For example, your patch format is not the same as mine, but I don't know
> how to obtain the same format as you made. It is the same for changelog,

diff -u ???

> is it update by hand ?.

Yes. Or dch

> There is only the menu problem on Ubuntu in the version 3.4.3.
> My fix is not pretty (see comment 14), but at least the menu is display.

I checked the patch, but it is useless, since on Debian it creates
teh menu to appear at the *BOTTOM* of the windows, so I will
*definitely* NOT include this patch in the Debian packages.

If Ubuntu developers want to include it for a Ubuntu release of
gwaei, they should go ahead, but not on Debian unless a better patch
that solved the problem in a way without interfering wiht current
Debian works out.

Zach, I guess you are reading this bug report AFAIR: If you have
a better idea, please let me know!

> There is one minor problem too with the google search, when no result is found, the url don't work.

Thanks, you used a french translation site which should be a normal
google search. I will include a similar patch that uses google.com
for searching (not translating).

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan TeX Live & Debian Developer
DSA: 0x09C5B094 fp: 14DF 2E6C 0307 BE6D AD76 A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
HIBBING (n.)
The marks left on the outside breast pocket of a storekeeper's overall
where he has put away his pen and missed.
   --- Douglas Adams, The Meaning of Liff

Ishaan Dalal (izx) wrote :

I have compiled gWaei 3.4.3 (with Yvon's menu patch) in a PPA for Ubuntu 12.04 users. Please add my "bleeding edge for Precise" PPA to install it:
https://launchpad.net/~izx/+archive/bleeding

For more details/screenshots, see this AskUbuntu question/answer (upvotes appreciated if you have an account there :)
http://askubuntu.com/questions/158243/how-do-i-get-gwaei-to-work-in-12-04

Janne Moren (jan-moren-gmail) wrote :

Ishaan, thanks for your hard work!

However, if I try to install from your PPA, apt wants to remove my LaTeX installation. Something is clearly colliding:

Följande ytterligare paket kommer att installeras: [the following will be installed]
  fonts-kanjistrokeorders libmecab1 libwaei2 zlib1g zlib1g:i386 zlib1g-dev
Följande paket kommer att TAS BORT: [The following packages will be REMOVED]
  dvipng latex-beamer latex-cjk-common latex-cjk-japanese latex-cjk-japanese-wadalab
  latex-cjk-xcjk latex-xcolor pgf prosper texlive-base texlive-binaries texlive-extra-utils
  texlive-font-utils texlive-fonts-extra texlive-generic-recommended texlive-latex-base
  texlive-latex-extra texlive-latex-recommended texlive-luatex texlive-pictures texlive-pstricks
  texlive-xetex
Följande NYA paket kommer att installeras: [The following NEW packagages will be installed]
  fonts-kanjistrokeorders gwaei libmecab1 libwaei2

Needless to say, I'm rather wary about losing my main writing tools so I haven't tried to actually go ahead with the installation.

Zachary Dovel (zakkudo2) wrote :

Thank you guys for the work. For Yvon's patch, I would recommend someone update the searchwindow.ui glade file with glade and change the Packing->Pack type to End for everything but the menubar so that when the menubar is readed, it will be on the top when people are not using Unity on Ubuntu.

The next version of gWaei will be using a new menu system so it should interact with Ubuntu/Unity better.

Janne Moren (jan-moren-gmail) wrote :

Any progress on this bug? The zlib in the PPA version conflicts with LaTeX so it's not a solution. It's gettiing really frustrating that I can't look up Japanese on my desktop any more, and online tools don't really cut it.

Zachary Dovel (zakkudo2) wrote :

I'm releasing gWaei 3.6 today in order to try to preempt the next Ubuntu release. It doesn't require the upped zlib version like 3.4. I would backport some of these changes, but none of the Ubuntu maintainers have made very good contact. I do bug fix releases for problems like this but they never seem to include the fixed package in their repositories. :-/

Zachary Dovel (zakkudo2) wrote :

Janne, worst case senario, you can install the new package from the Debian SID repositories. It should still be point and click.

Janne Moren (jan-moren-gmail) wrote :

Great! What is the homepage of gWaei, by the way? All I've been able to find is the sourceforge page but that one still says the last release is 3.2, a year ago, which is demonstrably untrue. I'll grab the Debian packages and see if I can install them.

A big thank you for gWaei, by the way; it's been a true lifesaver over the years!

Zachary Dovel (zakkudo2) wrote :

Thank you, Janne. :)

Just did the gWaei 3.6 release. It took a bit more testing than I had wanted. Hopefully it will have packages in the next few days. This version should be more functional with Ubuntu and I have done some direct testing.

Between how the gtk guys have redone menus and Ubuntu grabbing menus their own way it has been a mess I have been afraid to touch too much.

The gWaei website usually is at <http://gwaei.sourceforge.net/>, but I am migrating it to my personal site at <http://zacharydovel.com/software/gwaei> so it is easier to manage.

Ubuntu guys, if you want me to keep gWaei working on Ubuntu, I need more communication on what I can do to get fixes in or when you guys will take bug fix releases from the debian package tree.

Zachary Dovel (zakkudo2) wrote :

Here are the debian experimental packages for gWaei 3.6.0 compiled for AMD64:

http://packages.debian.org/experimental/libwaei2
http://packages.debian.org/experimental/gwaei

With 12.04 it should work. I'm going to test with the 12.10 beta in the next few days.

Janne Moren (jan-moren-gmail) wrote :

Thanks, they work fine. Oh, and it looks _way_ better than it used to; big thanks!

Just a note: for 12.04 you need to also install libmecab2 from the Debian repository. The morhpology stuff crashes, probably because I don't have any of that installed, but that's a minor thing.

Norbert Preining (preining) wrote :

hi

> Just a note: for 12.04 you need to also install libmecab2 from the
> Debian repository.

I think that is because the dependencies are only recommends, and when you download and install from cmd line it ignores recommends.

> The morhpology stuff crashes, probably because I
> don't have any of that installed, but that's a minor thing.

Yes I saw that, too. But still the rest is usable, right? Would make sense to check on startup and warn the user that morphological analysis is disabled due to missing bits'n'pieces?

Norbert

Janne Moren (jan-moren-gmail) wrote :

AFAIK, the libmecab2 dependency is a requirement for both gwaei and libgwaei. I installed that but not any mecab dictionary or mecab-tools as I want to minimize the out-of-repo packages I add. The lack of a dictionary is probably why mecab crashes.

But everything else seems to work fine, with the very minor exception that the dictionary keyboard shortcuts (alt-1 - 5) don't work.

Zachary Dovel (zakkudo2) wrote :

I am seeing 3 issues still.

Crashes when running with no ipadic installed
Changing the menubar causes a crash (which happens when you open the vocabulary window)
Dictionary shortcuts not working (alt/ctrl-1 etc)

The last 2 are caused by all these new menu systems everybody is using and they are not very stable yet. (Things crash in the api that should not.)

Norbert Preining (preining) wrote :

hi Zack,

> I am seeing 3 issues still.

I'll check later when I'm back from dinner.

> Crashes when running with no ipadic installed

crashes? I didn't have it installed, so morphologic analysis didn't work, but I could use gwaei otherwise.

> Changing the menubar causes a crash (which happens when you open the vocabulary window)

What do you mean with "changing the menubar"?

> The last 2 are caused by all these new menu systems everybody is using
> and they are not very stable yet. (Things crash in the api that should
> not.)

Yes, we all know that all that horrible gnome3 thing is mostly PITA, and I mean *really* PITASS!!! I have filed alteady so many bugs against Debian g3 packages, but it is a waste. My feeling is that this is the end of Gnome, they are pissing of to many users.

>

Norbert

Zachary Dovel (zakkudo2) wrote :

> crashes? I didn't have it installed, so morphologic analysis didn't work, but I could use gwaei otherwise.

This seems to be an ubuntu issue (I was able to reproduce) which I am going to try to fix in the C code. It is unrelated to the deb configuration though you could make it not crash by forcing the dictionary as a requre. Norbert, you probably don't see the issue like I don't see the issue on my Arch Linux install.

> Changing the menubar causes a crash (which happens when you open the
> vocabulary window)
>
> What do you mean with "changing the menubar"?
> > The last 2 are caused by all these new menu systems everybody is using
> > and they are not very stable yet. (Things crash in the api that should
> > not.)

The vocabulary window uses a different menubar than the search window. When it switches, the experimental versions of gtk+-3.5 crash with gWaei. I got the gtk guys to do patch last night because they like me. :) This means that gwaei won't crash like heck on Ubuntu 12.10 (releasing next month.)

I got the dictionary shortcuts working last night with gtk_application_add_accelerator(). The function was only just recently documented on <http://developer.gnome.org/gtk3/3.5/GtkApplication.html> though it exists in 3.4 too.

Norbert Preining (preining) wrote :

Hi

> This seems to be an ubuntu issue (I was able to reproduce) which I am
> going to try to fix in the C code

Ok

> It is unrelated to the deb
> configuration though you could make it not crash by forcing the
> dictionary as a requre.

Right.

> I got the dictionary shortcuts working last night with
> gtk_application_add_accelerator().

So do you release a new version? Shoild I make the dict a depends in the next version or do you also fix that crash in thd code?

Thanks

Norbert

> The function was only just recently
> documented on <http://developer.gnome.org/gtk3/3.5/GtkApplication.html>
> though it exists in 3.4 too.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/971240
>
> Title:
> Won't load in 12.04 (beta 2)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gwaei/+bug/971240/+subscriptions

Zachary Dovel (zakkudo2) wrote :

Norbert,

I have most of the issues fixed now on the git repo. Just trying to
reproduce the mecab issue again. For some reason I can't now. Expect a
release this weekend. :D

Zach

On Thu, 2012-09-20 at 22:28 +0000, Norbert Preining wrote:
> Hi
>
> > This seems to be an ubuntu issue (I was able to reproduce) which I am
> > going to try to fix in the C code
>
> Ok
>
> > It is unrelated to the deb
> > configuration though you could make it not crash by forcing the
> > dictionary as a requre.
>
> Right.
>
> > I got the dictionary shortcuts working last night with
> > gtk_application_add_accelerator().
>
> So do you release a new version? Shoild I make the dict a depends in the
> next version or do you also fix that crash in thd code?
>
> Thanks
>
> Norbert
>
>
> > The function was only just recently
> > documented on <http://developer.gnome.org/gtk3/3.5/GtkApplication.html>
> > though it exists in 3.4 too.
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/971240
> >
> > Title:
> > Won't load in 12.04 (beta 2)
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/ubuntu/+source/gwaei/+bug/971240/+subscriptions
>

Norbert Preining (preining) wrote :

Hi Zach,

On Fri, 21 Sep 2012, Zachary Dovel wrote:
> I have most of the issues fixed now on the git repo. Just trying to
> reproduce the mecab issue again. For some reason I can't now. Expect a
> release this weekend. :D

Great, looking forward to it! Let me know when you release a new version.

Best wishes

Norbert

----------------------------------------------------------------------------
Norbert Preining preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan TeX Live and Debian Developer
gpg DSA: 0x09C5B094 fp: 14DF 2E6C 0307 BE6D AD76 A9C0 D2BF 4AA3 09C5 B094
----------------------------------------------------------------------------
CLIXBY (adj.)
Politely rude. Briskly vague. Firmly uninformative.
   --- Douglas Adams, The Meaning of Liff

Zachary Dovel (zakkudo2) wrote :

Bah 3.6.1 is released. I'm pretty sure the ipadic problem was actually
caused by Ubuntu's and gtk's buggy menu code. I reworked my code around
it and I am not seeing that problem anymore. In any case, it should be
good enough for the Ubuntu people.

On Thu, 2012-09-20 at 22:28 +0000, Norbert Preining wrote:
> Hi
>
> > This seems to be an ubuntu issue (I was able to reproduce) which I am
> > going to try to fix in the C code
>
> Ok
>
> > It is unrelated to the deb
> > configuration though you could make it not crash by forcing the
> > dictionary as a requre.
>
> Right.
>
> > I got the dictionary shortcuts working last night with
> > gtk_application_add_accelerator().
>
> So do you release a new version? Shoild I make the dict a depends in the
> next version or do you also fix that crash in thd code?
>
> Thanks
>
> Norbert
>
>
> > The function was only just recently
> > documented on <http://developer.gnome.org/gtk3/3.5/GtkApplication.html>
> > though it exists in 3.4 too.
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/971240
> >
> > Title:
> > Won't load in 12.04 (beta 2)
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/ubuntu/+source/gwaei/+bug/971240/+subscriptions
>

Zachary Dovel (zakkudo2) wrote :

The source code for gWaei 3.6.1 has been released.

From what I can tell, the ipadic issues were caused by the gtk global menu code being buggy (doing a double free). ipadic being available just happened to mitigate the situation by pure chance.

So in any case, I wrote some wrapper code around the gmenu system which avoid the menu bug, allows me to change the unity menu bar when you open the vocabulary list with now crashes, and allows dynamic accelerator setting such that the dictionary selection shortcuts work again.

I have tested the program with both Ubuntu 12.04 and Ubuntu 12.10. On Ubuntu 12.04, you will not see check or radio icons in the unity global menubar because the code doesn't support 100% gtk's dbus menu export protocal. On Ubuntu 12.10 it is fine and everything works as expected.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwaei - 3.6.2-1

---------------
gwaei (3.6.2-1) unstable; urgency=low

  * Imported Upstream version 3.6.2
  * drop debian/patches/fix-google-translate-url, fixed in a different way

 -- Norbert Preining <email address hidden> Sat, 05 Jan 2013 12:46:08 +0900

Changed in gwaei (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions